<?php

return [
   'debug'  => true,
   'markdown' => [
      'extra' => false
   ],

   // For:  https://github.com/getkirby/kql
   'api' => [
      'basicAuth' => true,
      'allowInsecure' => true
   ],

   'hooks' => [
       // See:  https://getkirby.com/docs/cookbook/extensions/subpage-builder
       'route:after' => function ($route, $path, $method) {
           $uid = explode('/', $path);
           $uid = end($uid);
           $uid = str_replace('+', '/', $uid);
           $page = kirby()->page($uid);
           if ($page && $page->children()->isEmpty()) {
               buildPageTree($page);
           }
       }
   ]
];
